0%

Rating 4.70179
Compatibility Requires iOS 10.0 or later. Compatible with iPhone5-iPhone5, iPhone5c-iPhone5c, iPhone5s-iPhone5s, iPhone6-iPhone6, iPhone6Plus-iPhone6Plus, iPhone6s-iPhone6s, iPhone6sPlus-iPhone6sPlus, iPhoneSE-iPhoneSE, iPhone7-iPhone7, iPhone7Plus-iPhone7Plus, iPhone8-iPhone8, iPhone8Plus-iPhone8Plus, iPhoneX-iPhoneX, iPhoneXS-iPhoneXS, iPhoneXSMax-iPhoneXSMax, iPhoneXR-iPhoneXR, iPhone11-iPhone11, iPhone11Pro-iPhone11Pro, iPhone11ProMax-iPhone11ProMax, iPhoneSESecondGen-iPhoneSESecondGen, iPhone12Mini-iPhone12Mini, iPhone12-iPhone12, iPhone12Pro-iPhone12Pro, iPhone12ProMax-iPhone12ProMax.
Languages EN
Author Root, Inc.
Content Rating Rated 4+
Number of voters 48302
Publication date November 27, 2020